org.apache.hadoop.mapred

## Enum TaskCompletionEvent.Status

- java.lang.Object
- - java.lang.Enum<TaskCompletionEvent.Status>
  - - org.apache.hadoop.mapred.TaskCompletionEvent.Status

- All Implemented Interfaces:
    Serializable, Comparable<TaskCompletionEvent.Status>
  Enclosing class:
    TaskCompletionEvent

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public static enum TaskCompletionEvent.Status
      extends Enum<TaskCompletionEvent.Status>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILED` Task Event Attempt failed but there are attempts remaining.
    `KILLED` Task Event was killed.
    `OBSOLETE` Used to Override a previously successful event status.
    `SUCCEEDED` Task Event was successful.
    `TIPFAILED` Task Event attempt failed and no further attempts exist.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TaskCompletionEvent.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TaskCompletionEvent.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FAILED

          public static final TaskCompletionEvent.Status FAILED

      Task Event Attempt failed but there are attempts remaining.

    - #### KILLED

          public static final TaskCompletionEvent.Status KILLED

      Task Event was killed.

    - #### SUCCEEDED

          public static final TaskCompletionEvent.Status SUCCEEDED

      Task Event was successful.

    - #### OBSOLETE

          public static final TaskCompletionEvent.Status OBSOLETE

      Used to Override a previously successful event status. Example: Map attempt runs and a SUCCEEDED event is sent. Later a task is retroactively failed due to excessive fetch failure during shuffle phase. When the retroactive attempt failure occurs, an OBSOLETE event is sent for the map attempt indicating the prior event is no longer valid.

    - #### TIPFAILED

          public static final TaskCompletionEvent.Status TIPFAILED

      Task Event attempt failed and no further attempts exist. reached MAX attempts. When a reducer receives a TIPFAILED event it gives up trying to shuffle data from that map task.

  - ### Method Detail

    - #### values

          public static TaskCompletionEvent.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskCompletionEvent.Status c : TaskCompletionEvent.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskCompletionEvent.Status valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2022 Apache Software Foundation. All rights reserved.